# Properties (dapr-sdk-parent 1.10.0 API)

Package io.dapr.config

## Class Properties

- java.lang.Object
- - io.dapr.config.Properties

    public class Properties
    extends Object

Global properties for Dapr's SDK, using Supplier so they are dynamically resolved.

### Field Summary

Fields
`static Property<DaprApiProtocol>` `API_METHOD_INVOCATION_PROTOCOL` Deprecated. This attribute will be deleted at SDK version 1.10.
`static Property<DaprApiProtocol>` `API_PROTOCOL` Deprecated. This attribute will be deleted at SDK version 1.10.
`static Property<String>` `API_TOKEN` API token for authentication between App and Dapr's side car.
`static Property<String>` `GRPC_ENDPOINT` GRPC endpoint for remote sidecar connectivity.
`static Property<Integer>` `GRPC_PORT` GRPC port for Dapr after checking system property and environment variable.
`static Property<Integer>` `HTTP_CLIENT_MAX_IDLE_CONNECTIONS` Dapr's default maximum number of idle connections for HTTP connection pool.
`static Property<Integer>` `HTTP_CLIENT_MAX_REQUESTS` Dapr's default maximum number of requests for HTTP client to execute concurrently.
`static Property<Integer>` `HTTP_CLIENT_READ_TIMEOUT_SECONDS` Dapr's timeout in seconds for HTTP client reads.
`static Property<String>` `HTTP_ENDPOINT` GRPC endpoint for remote sidecar connectivity.
`static Property<Integer>` `HTTP_PORT` HTTP port for Dapr after checking system property and environment variable.
`static Property<Integer>` `MAX_RETRIES` Maximum number of retries for retriable exceptions.
`static Property<String>` `SIDECAR_IP` IP for Dapr's sidecar.
`static Property<Charset>` `STRING_CHARSET` Determines which string encoding is used in Dapr's Java SDK.
`static Property<Duration>` `TIMEOUT` Timeout for API calls.

### Constructor Summary

Constructors
`Properties()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SIDECAR_IP

    public static final Property<String> SIDECAR_IP

IP for Dapr's sidecar.

#### HTTP_PORT

    public static final Property<Integer> HTTP_PORT

HTTP port for Dapr after checking system property and environment variable.

#### GRPC_PORT

    public static final Property<Integer> GRPC_PORT

GRPC port for Dapr after checking system property and environment variable.

#### GRPC_ENDPOINT

    public static final Property<String> GRPC_ENDPOINT

GRPC endpoint for remote sidecar connectivity.

#### HTTP_ENDPOINT

    public static final Property<String> HTTP_ENDPOINT

GRPC endpoint for remote sidecar connectivity.

#### MAX_RETRIES

    public static final Property<Integer> MAX_RETRIES

Maximum number of retries for retriable exceptions.

#### TIMEOUT

    public static final Property<Duration> TIMEOUT

Timeout for API calls.

#### API_PROTOCOL

    @Deprecated
    public static final Property<DaprApiProtocol> API_PROTOCOL

Deprecated.
This attribute will be deleted at SDK version 1.10.
Determines if Dapr client will use gRPC or HTTP to talk to Dapr's side car.

#### API_METHOD_INVOCATION_PROTOCOL

    @Deprecated
    public static final Property<DaprApiProtocol> API_METHOD_INVOCATION_PROTOCOL

Deprecated.
This attribute will be deleted at SDK version 1.10.
Determines if Dapr client should use gRPC or HTTP for Dapr's service method invocation APIs.

#### API_TOKEN

    public static final Property<String> API_TOKEN

API token for authentication between App and Dapr's side car.

#### STRING_CHARSET

    public static final Property<Charset> STRING_CHARSET

Determines which string encoding is used in Dapr's Java SDK.

#### HTTP_CLIENT_READ_TIMEOUT_SECONDS

    public static final Property<Integer> HTTP_CLIENT_READ_TIMEOUT_SECONDS

Dapr's timeout in seconds for HTTP client reads.

#### HTTP_CLIENT_MAX_REQUESTS

    public static final Property<Integer> HTTP_CLIENT_MAX_REQUESTS

Dapr's default maximum number of requests for HTTP client to execute concurrently.

#### HTTP_CLIENT_MAX_IDLE_CONNECTIONS

    public static final Property<Integer> HTTP_CLIENT_MAX_IDLE_CONNECTIONS

Dapr's default maximum number of idle connections for HTTP connection pool.

### Constructor Detail

#### Properties

    public Properties()